%define versio_ 2-8-8
%define pre     rel.2
%define rel     3

%define lpre    %(echo %{pre} | tr -d .)

Name:           lynx
Version:        2.8.8
Release:        %mkrel 3
Summary:        Text based browser for the world wide web
License:        GPLv2
URL:            http://lynx.isc.org
Group:          Networking/WWW
BuildRequires:  gettext
BuildRequires:  openssl-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libncursesw-devel
BuildRequires:  libidn-devel
Source0:        http://lynx.isc.org/current/lynx%{version}%{pre}.tar.xz
Patch0:         lynx2-8-7-adapt-to-modern-file-localizations.patch
Patch1:         lynx2-8-8-default-config.patch
Patch2:         lynx2-8-6-fix-ugly-color.patch
Patch3:         lynx2-8-7-tmp_dir.patch
Patch4:         lynx2-8-6-don-t-accept-command-line-args-to-telnet.patch
Provides:       webclient = %{version}-%{release}
Provides:       lynx-ssl = %{version}-%{release}
Obsoletes:      lynx-ssl < %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

This version includes support for SSL encryption.

WARNING: In some countries, it is illegal to export this package. In some
countries, it may even be illegal to use it.


%prep
%setup  -q -n %{name}%{versio_}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

perl -pi -e 's,^#LOCALE_CHARSET:.*,LOCALE_CHARSET:TRUE,' lynx.cfg

%build

debian_options=`cat << DEBIAN
        --enable-warnings
        --enable-8bit-toupper
        --enable-externs
        --enable-cgi-links
        --enable-persistent-cookies --enable-nls
        --enable-prettysrc --enable-source-cache
        --enable-charset-choice
        --enable-default-colors
        --enable-ipv6
        --enable-nested-tables --enable-read-eta
        --with-zlib
DEBIAN`
# removed --enable-exec-links --enable-exec-scripts,
# it goes together with LOCAL_EXECUTION_LINKS_* in lynx.cfg


redhat_options=`cat << REDHAT
        --with-screen=ncursesw
        --enable-internal-links
        --enable-libjs
        --enable-scrollbar
        --enable-file-upload
        --enable-locale-charset
        --with-ssl=%{_libdir}
        --enable-addrlist-page
        --enable-justify-elts
REDHAT`

other_options=`cat << OTHER
        --enable-color-style
        --enable-nsl-fork
OTHER`

%configure2_5x --libdir=/usr/share/lynx $debian_options $redhat_options $other_options
%make

%install
rm -rf %{buildroot}
%makeinstall_std install-help

install -d %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%find_lang lynx

%files -f lynx.lang
%defattr(-,root,root)
%doc README
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/lynx_help



%changelog
* Sat Mar 05 2016 bb <bb> 2.8.8-3pclos2016
- rebuild openssl

* Sat Jan 31 2015 ghostbunny <ghostbunny at gmx dot de> 2.8.8-2pclos2015
- rebuild against new tool chain

* Fri Apr 24 2014 bb <bb> 2.8.8-1pclos2014
- update for new openssl

* Tue Sep 14 2010 Texstar <texstar at gmail.com> 2.8.7-2pclos2010
- rebuild for new ssl

* Fri Jun 18 2010 Texstar <texstar at gmail.com> 2.8.7-1pclos2010
- update for 2010 release
